<template>
  <div class="fixed w-full h-full flex justify-center items-center z-50" style="color: var(--primary);">
    <LoadingIcon class="circular-loading-icon h-14 w-14" ></LoadingIcon>
  </div>
  
  
</template>

<script setup lang="ts">
import LoadingIcon from '~/assets/icons/loading-icon.svg?component';
</script>

<style scoped>
.circular-loading-icon {
  position: absolute;
  z-index: 99;
  animation: spin 1s linear infinite;
}

@keyframes spin {
  0% {
    transform: rotate(360deg);
  }
  100% {
    transform: rotate(0deg);
  }
}
</style>